<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @author 	PressLayouts
 * @package pressmart
 * @since 1.0
 */
get_header(); ?>

<?php if( ! pressmart_has_elementor_template( 'single' ) ) :
	/**
	 * Hook: pressmart_before_main_content.
	 *
	 * @hooked pressmart_output_content_wrapper - 10 (outputs opening divs for the content area)
	 */
	do_action( 'pressmart_before_main_content' );


	do_action( 'pressmart_before_single_post_loop' ); 
			
	/* Start the Loop */
	while ( have_posts() ) : the_post();
			
		// Include the post content template.
		get_template_part( 'template-parts/single-post/layout', get_post_format() );	

	endwhile; // End of the loop.		
			
	do_action( 'pressmart_after_single_post_loop' ); 

	/**
	 * Hook: pressmart_after_main_content.
	 *
	 * @hooked pressmart_output_content_wrapper_end - 10 (outputs closing divs for the content)
	 */
	do_action( 'pressmart_after_main_content' );

	/**
	 * Hook: pressmart_sidebar.
	 *
	 * @hooked pressmart_get_sidebar - 10
	 */
	do_action( 'pressmart_sidebar' );
endif; ?>

<?php get_footer();